> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Posting



## OpenAPI

````yaml /actionkit/openapi.json POST /projects/{project_id}/tools/#LEVER_CREATE_POSTING
openapi: 3.0.0
info:
  title: ActionKit Tools API
  version: 1.0.0
servers:
  - url: https://actionkit.useparagon.com
    description: US Cloud
security: []
paths:
  /projects/{project_id}/tools/#LEVER_CREATE_POSTING:
    post:
      summary: Create Posting
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Your Paragon Project ID. You can copy your Project ID from your
              dashboard URL or by clicking Copy Project ID under the Environment
              switcher.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tool:
                  type: string
                  default: LEVER_CREATE_POSTING
                parameters:
                  type: object
                  properties:
                    text:
                      type: string
                      description: 'Text : Title of the job posting'
                    categories:
                      type: object
                      description: |-
                        Categories (example: "{
                          "team": "Platform",
                          "department": "Engineering",
                          "location": "San Francisco",
                          "commitment": "Full-time"
                        }")
                      properties: {}
                    performAs:
                      type: string
                      description: >-
                        Perform As : Perform this create on behalf of a
                        specified user. The creator and the owner of this
                        Opportunity will default to the perform_as user. The
                        owner can be explicitly specified in the request body if
                        you want the owner to be a different person.
                    state:
                      type: string
                      description: 'State : Posting''s current status.'
                      enum:
                        - published
                        - internal
                        - closed
                        - draft
                        - pending
                        - rejected
                    distributionChannels:
                      type: string
                      description: >-
                        Distribution Channels : Job sites that a published
                        posting appears on. defaults to public and internal
                        (example: "["internal","public"]")
                    owner:
                      type: string
                      description: >-
                        Owner : The user ID of the posting owner. The posting
                        owner is the individual who is directly responsible for
                        managing all candidates who are applied to that role. If
                        no ID is provided, the posting owner defaults to
                        perform_as.
                    hiringManager:
                      type: string
                      description: >-
                        Hiring Manager : The user ID of the hiring manager for
                        the job posting.
                    additionalFields:
                      type: object
                      description: |-
                        Additional Fields (example: "{
                            "workplaceType": "onsite",
                            "tags": ["engineering","high-priority"]
                        }")
                      properties: {}
                  required:
                    - text
                    - categories
                  x-integration: lever
              required:
                - tool
                - parameters
      responses:
        '200':
          description: Success
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your [Paragon User
        Token](/getting-started/installing-the-connect-sdk#setup) (JWT), which
        you can generate using your project's signing keys.

````